//
//  PreviewContainer.swift
//  BudgetAppWorkshop
//
//  Created by Mohammad Azam on 3/26/24.
//

import Foundation
import SwiftData

@MainActor
var previewContainer: ModelContainer = {
    
    let container = try! ModelContainer(for: ExpenseItem.self, configurations: ModelConfiguration(isStoredInMemoryOnly: true))
    
    for expenseItem in SampleData.expenseItems {
        
        container.mainContext.insert(expenseItem)
        try! container.mainContext.save()
        
    }
    
    return container
    
}()

struct SampleData {
    
    static var expenseItems: [ExpenseItem] {
        return [
            ExpenseItem(name: "Office Supplies", type: ExpenseType.business.rawValue),
            ExpenseItem(name: "Groceries", type: ExpenseType.personal.rawValue),
            ExpenseItem(name: "Client Lunch", type: ExpenseType.business.rawValue),
            ExpenseItem(name: "Movie Ticket", type: ExpenseType.personal.rawValue),
            ExpenseItem(name: "Software Subscription", type: ExpenseType.business.rawValue),
            ExpenseItem(name: "Gasoline", type: ExpenseType.personal.rawValue),
            ExpenseItem(name: "Conference Fee", type: ExpenseType.business.rawValue),
            ExpenseItem(name: "Dinner Out", type: ExpenseType.personal.rawValue),
            ExpenseItem(name: "Marketing Materials", type: ExpenseType.business.rawValue),
            ExpenseItem(name: "Clothing", type: ExpenseType.personal.rawValue),
            ExpenseItem(name: "Travel Expenses", type: ExpenseType.business.rawValue),
            ExpenseItem(name: "Household Repairs", type: ExpenseType.personal.rawValue),
            ExpenseItem(name: "Consulting Fees", type: ExpenseType.business.rawValue),
            ExpenseItem(name: "Entertainment", type: ExpenseType.personal.rawValue),
            ExpenseItem(name: "Equipment Purchase", type: ExpenseType.business.rawValue),
            ExpenseItem(name: "Personal Care", type: ExpenseType.personal.rawValue),
            ExpenseItem(name: "Training Course", type: ExpenseType.business.rawValue),
            ExpenseItem(name: "Hobbies", type: ExpenseType.personal.rawValue),
            ExpenseItem(name: "Legal Fees", type: ExpenseType.business.rawValue),
            ExpenseItem(name: "Gifts", type: ExpenseType.personal.rawValue)
        ]
        
    }
    
}
